Bug 222497 - rhnpush does package channel associations even if md5sums mismatch
rhnpush does package channel associations even if md5sums mismatch
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
wes hayutin
:
Depends On:
Blocks: 166615 173427
  Show dependency treegraph
 
Reported: 2007-01-12 16:59 EST by Pradeep Kilambi
Modified: 2007-04-18 13:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 13:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2007-01-12 16:59:45 EST
Description of problem:
rhnpush does channel associations even when the md5sums mismatch from whats on
server.


Version-Release number of selected component (if applicable):
4.1.0-89 

How reproducible:
always

Steps to Reproduce:
1. rhnpush a package (resigned) with out --force
2. client should say md5sum mismatch, but the server will show the package in
the channel 
  
Actual results:
package shows up even though md5sums mismatched

Expected results:
channel package associations should not happen when md5sum mismatches

Additional info:
 svn/qa/automation/rhnpush/bug177762.sh has automation for testing this
Comment 1 Pradeep Kilambi 2007-01-17 17:15:48 EST
test plan:

- push a package to a custom channel

$ rhnpush --server=rlx-0-20.rhndev.redhat.com --username=admin
--password=dog8code --channel=test-rhnpush yum-2.9.1-1.rhn.2.noarch.rpm -vvv

- repackage the rpm so that it has a different md5sum

- before pushing this rpm, goto webui and remove the previous rpm pushing from
the channel.

- now repush the pkg(diff md5sum one)
$ rhnpush --server=rlx-0-20.rhndev.redhat.com --username=admin
--password=dog8code --channel=test-rhnpush
/usr/src/redhat/RPMS/noarch/yum-2.9.1-1.rhn.2.noarch.rpm -vvv
Connecting to http://rlx-0-20.rhndev.redhat.com/APP
url is http://rlx-0-20.rhndev.redhat.com/PACKAGE-PUSH
Result codes: 200 OK
Computing md5sum and package Info .This may take sometime ...
Package /usr/src/redhat/RPMS/noarch/yum-2.9.1-1.rhn.2.noarch.rpm mismatch --
Skipping Upload (use --force to force upload)

you should see that error.

- go back to webui and the channel association for that package should not have
happened and the channel should still not show that package.

without the fix even with md5sum mismatch error, the channel-package association
happens. which should be fixed not.

Comment 2 wes hayutin 2007-02-12 09:53:55 EST
from my machine
[whayutin@whayutin rhnpush]$ rhnpush --server=rhn.webqa.redhat.com
-cclone-rhel-i386-as-4 -uadmin -pdog8code -vvv tora-1.3.15-1.rhn.rhel4.i386.rpm
--nosig
Unable to load module rhnpush
No module named rhnpush.rhnpush


from my test box..
[root@fjs-0-06 rhnpush]# rhnpush --server=rhn.webqa.redhat.com
-cclone-rhel-i386-as-4 -uadmin -pdog8code -vvv tora-1.3.15-1.rhn.rhel4.i386.rpm
--nosig
Connecting to http://rhn.webqa.redhat.com/APP


this never returns..

I need to get w/ Brandon to figure this out..
Comment 3 Pradeep Kilambi 2007-02-12 10:00:43 EST
your server is incorrect. you need to push your package to
scripts.back-webqa.redhat.com/APP and not rhn.webqa.redhat.com.
Comment 4 wes hayutin 2007-02-12 13:29:22 EST
cool.. rhnpush now can see the differnce and reject the same package w/ a
different md5sum.. good work 
Comment 5 Brandon Perkins 2007-03-13 10:13:31 EDT
Closed in rhn500h Release.
Comment 6 Brandon Perkins 2007-03-13 13:42:32 EDT
Closed in rhn500h release.

Note You need to log in before you can comment on or make changes to this bug.